// Copyright IBM Corp. 2016. All Rights Reserved.
// Node module: apiconnect-cli-apis
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.

/********************************************************* {COPYRIGHT-TOP} ***
 * IBM Confidential
 * OCO Source Materials
 * 5725-C11, 5725-C12, 7198-8FX, 5725-F70, 5725-F71, 5725-F72, 5725-L30
 *
 * (C) Copyright IBM Corporation 2015  All Rights Reserved.
 *
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 ********************************************************* {COPYRIGHT-END} **/

var _ = require('lodash');
var logger = require('apiconnect-cli-logger');

function ApimAPIsCloneFormatter() {}

ApimAPIsCloneFormatter.prototype.format = function(apis) {
  _.keys(apis).forEach(function(key) {
    var org = apis[key].orgName;
    var catalog = apis[key].catalogShortName;

    apis[key].apis.forEach(function(api) {
      var nameVersion = api.nameVersion;
      var filename = api.filename;
      //Pulled routes:1.0.0 API definition from climbonorg:production [routes.yaml]
      logger.writeln('Pulled ' + nameVersion + ' API definition from ' + org + ':' + catalog +
          ' [' + filename + ']');
      if (api.wsdl) {
        logger.writeln('Pulled %s API WSDL definition from %s:%s [%s]', nameVersion, org, catalog, api.wsdl);
      }
    });
  });
};

ApimAPIsCloneFormatter.prototype.error = function(error) {
  logger.error(error);
//  throw error;
};

module.exports = ApimAPIsCloneFormatter;
