// Copyright IBM Corp. 2016. All Rights Reserved.
// Node module: apiconnect-cli-apis
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.

/********************************************************* {COPYRIGHT-TOP} ***
 * IBM Confidential
 * OCO Source Materials
 * 5725-C11, 5725-C12, 7198-8FX, 5725-F70, 5725-F71, 5725-F72, 5725-L30
 *
 * (C) Copyright IBM Corporation 2015  All Rights Reserved.
 *
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 ********************************************************* {COPYRIGHT-END} **/

var logger = require('apiconnect-cli-logger');
var ApicCliUtil = require('apiconnect-cli-util');

var providerOrgName = ApicCliUtil.Util.providerOrgName;
var catalogName = ApicCliUtil.Util.catalogName;

function ApimAPIsPullFormatter() {}

ApimAPIsPullFormatter.prototype.format = function(result) {
  var org = providerOrgName();
  var catalog = catalogName();
  var nameVersion = result.nameVersion;
  var filename = result.filename;
  var wsdl = result.wsdl;

  //Pulled routes:1.0.0 API definition from climbonorg:production [routes.yaml]
  logger.writeln('Pulled ' + nameVersion + ' API definition from ' + org + ':' + catalog +
      ' [' + filename + ']');

  if (wsdl) {
    logger.writeln('Pulled ' + nameVersion + ' API WSDL definition from ' + org + ':' + catalog +
        ' [' + wsdl + ']');
  }
};

ApimAPIsPullFormatter.prototype.error = function(error) {
  logger.error(error);
  //throw error;
};

module.exports = ApimAPIsPullFormatter;
