// Copyright IBM Corp. 2016. All Rights Reserved.
// Node module: apiconnect-cli-apis
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.

/********************************************************* {COPYRIGHT-TOP} ***
 * IBM Confidential
 * OCO Source Materials
 * 5725-C11, 5725-C12, 7198-8FX, 5725-F70, 5725-F71, 5725-F72, 5725-L30
 *
 * (C) Copyright IBM Corporation 2015  All Rights Reserved.
 *
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 ********************************************************* {COPYRIGHT-END} **/

var logger = require('apiconnect-cli-logger');
var ApicCliUtil = require('apiconnect-cli-util');

var providerOrgName = ApicCliUtil.Util.providerOrgName;
var catalogName = ApicCliUtil.Util.catalogName;

function ApimAPIsSetFormatter() {}

ApimAPIsSetFormatter.prototype.format = function(api, status) {

  if (api) {
    var nameVersion = api.apiName + ':' + api.apiVersion;
    var org = providerOrgName();
    var catalog = catalogName();
    var url = api.apiEndpoint;

    var productsNameVersion = '';
    var products = api.dependents.PRODUCTVERSION;
    if (products && products.length > 0) {
      for (var i = 0; i < products.length; i++) {
        productsNameVersion += productsNameVersion + products[i].productName + ':' + products[i].productVersion;
      }
    }

    logger.writeln('Updated ' + nameVersion + ' in ' + org + ':' + catalog +
        ' (status: ' + status + ')');
    logger.writeln('[' + productsNameVersion + ' ' + nameVersion + '] ' + url);
  }
};

ApimAPIsSetFormatter.prototype.error = function(error) {
  logger.error(error);
  //throw error;
};

module.exports = ApimAPIsSetFormatter;
